package com.emr.dao;

import com.emr.entity.ExportTaskDetails;
import com.emr.vo.ExportDetailsVo;
import com.emr.vo.ExportTaskDetailsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ExportTaskDetailsMapper
 * @Description 批量导出详情接口
 * @Author linjj
 * @Date 2024/4/12 14:03
 * @Version 1.0
 */
public interface ExportTaskDetailsMapper {

    List<ExportTaskDetailsVo> selectAllByTaskId(int taskId);

    List<ExportDetailsVo> getfilePath(@Param("inpNo") String inpNo, @Param("dischargeDateTime") String dischargeDateTime);

    int upStatc(@Param("state") int state,@Param("id") int id);


    int deleteByPrimaryKey(Integer id);

    int insert(ExportTaskDetails record);

    int insertSelective(ExportTaskDetails record);

    ExportTaskDetails selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ExportTaskDetails record);

    int updateByPrimaryKey(ExportTaskDetails record);

    int SimpleInsert(List<ExportTaskDetails> list);

    ExportTaskDetails selectExportTaskDetailsByInpNo(@Param("inpNo") String inpNo);

    List<ExportTaskDetailsVo> getExportTaskDetailsList(@Param("record") ExportTaskDetails exportTaskDetails,@Param("startTime") String startTime,@Param("endTime") String endTime);
}
